<!DOCTYPE html>

<html>
<head>
    <meta charset="utf-8">
    <link rel="stylesheet" href="sidebar.css"/>
</head>

<body>
<header>
    <div>Your dbt companion</div>
</header>
<div class="content">
    <div class="help">
        From this sidebar you can get help to empower your analyst work from your dbt informations.

        Provide your dbt <i>manifest.json</i>. Your manifest will only stay within your own browser and it is not transfered to any third party.
    </div>
    <div class="bloc">
        <h4>1. Pick your manifest</h4>
        <input id="uploadFile" type="file" class="visually-hidden">
        <label for="uploadFile" class="btn">Upload your manifest</label>
        <div class="hint">This manifest has been uploaded on <span id="manifestUploadedAt"></span> (<a href="" id="deleteManifest">delete</a>)</div>
    </div>
    <div id="step-2">
        <h4>2. dbt informations</h4>
        <div>
            <div class="card"><span id="nbSources"></span> sources</div>
            <div class="card"><span id="nbNodes"></span> models</div>
        </div>
    </div>
    <div id="step-3">
        <h4>3. Extension</h4>
        <div>
            <div><input type="checkbox" id="enable" checked> <label for="enable">Watch copy/paste</label></div>
        </div>
    </div>
</div>
<script src="sidebar.js"></script>
</body>

</html>
